<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();
echo "Recipe: view Recipe <br />";

jimport( 'joomla.application.component.view' );

class RecipesViewRecipe extends JView
{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
		$recipe		=& $this->get('Data');
		$isNew		= ($recipe->id < 1);

		$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
		JToolBarHelper::title(   JText::_( 'Recipe' ).': <small>[ ' . $text.' ]</small>' );
		JToolBarHelper::save();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}

		$this->assignRef('recipe',		$recipe);

		parent::display($tpl);
	}
}
